window.Gleam.initSearch([{"doc":"glimpse_log","title":"glimpse_log","content":"# glimpse_log\n\n[![Package Version](https://img.shields.io/hexpm/v/glimpse_log)](https://hex.pm/packages/glimpse_log)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glimpse_log/)\n\nA minimal gleam logging library that helps you get a glimpse into the program. Contains bindings to JavaScript and a gleam implementation for everywhere else.\n\n```sh\ngleam add glimpse_log@1\n```\n```gleam\nimport glimpse\n\npub fn main() {\n  // You can call this on any value that can be converted to a StringBuilder via string.inspect()\n  glimpse.error(&quot;An error log&quot;)\n  glimpse.warn(&quot;A warning log&quot;)\n  glimpse.info(&quot;An info log&quot;)\n  glimpse.debug(&quot;A debug log&quot;)\n\n  // The functions return the term passed into them, so they can be used in pipes!\n  &quot;A value&quot;\n  |&gt; glimpse.error\n  |&gt; glimpse.warn\n  |&gt; glimpse.info\n  |&gt; glimpse.debug\n\n  4\n  |&gt; glimpse.info\n}\n\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glimpse_log&gt;.\n\n## Development\n\nTODO\n\n- Tests\n- Docs\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"glimpse","title":"debug","content":"pub fn debug(term term: a) -&gt; a\n Used for finding whats going on in your code. Generally these are best\n kept to developement enviornments and not production.\n\n Equivlent to `console.debug()` in JavaScript.\nSynonyms:\nglimpse.debug\nglimpse debug","url":"glimpse.html#debug"},{"doc":"glimpse","title":"error","content":"pub fn error(term term: a) -&gt; a\n Use this to log errors in your program which shold be addressed. If\n it is an error your program is designed to catch and recover from,\n you probably don&#39;t need to log it.\n\n Equivlent to `console.error()` in JavaScript.\nSynonyms:\nglimpse.error\nglimpse error","url":"glimpse.html#error"},{"doc":"glimpse","title":"info","content":"pub fn info(term term: a) -&gt; a\n General information such as subprocess starts/stops, initalization\n information, and runtime logs.\n\n Equivlent to `console.log()` in JavaScript.\nSynonyms:\nglimpse.info\nglimpse info","url":"glimpse.html#info"},{"doc":"glimpse","title":"warn","content":"pub fn warn(term term: a) -&gt; a\n Runtime arnings which are of note.\n\n Equivlent to `console.warn()` in JavaScript.\nSynonyms:\nglimpse.warn\nglimpse warn","url":"glimpse.html#warn"},{"doc":"glimpse","title":"glimpse","content":"","url":"glimpse.html"},{"doc":"glimpse_log","title":"main","content":"pub fn main() -&gt; Int\n\nSynonyms:\nglimpse_log.main\nglimpse_log main","url":"glimpse_log.html#main"},{"doc":"glimpse_log","title":"glimpse_log","content":"","url":"glimpse_log.html"}]);